Summary: A library for accessing various audio file formats
Name: audiofile
Version: 0.2.6
Release: 2
License: LGPL
Group: System Environment/Libraries
Source0: ftp://ftp.gnome.org/pub/gnome/sources/audiofile/0.2/%{name}-%{version}.tar.bz2
Patch0: %{name}-%{version}-aclocal.patch
URL: http://www.68k.org/~michael/audiofile/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: patch

%description
The Audio File library is an implementation of the Audio File Library
from SGI, which provides an API for accessing audio file formats like
AIFF/AIFF-C, WAVE, and NeXT/Sun .snd/.au files. This library is used
by the EsounD daemon.

Install audiofile if you are installing EsounD or you need an API for
any of the sound file formats it can handle.

The library is available as 32-bit and 64-bit.


%package devel
Summary: Development files for Audio File applications
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkg-config >= 0.8

%description devel
The audiofile-devel package contains libraries, include files, and
other resources you can use to develop Audio File applications.

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "cc -q64" or "gcc -maix64".


%prep
%setup -q
export PATH=/opt/freeware/bin:$PATH
%patch0


%build
# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="cc -q64"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static
make %{?_smp_mflags}

cp libaudiofile/.libs/libaudiofile.so.0 .
make distclean

# now build the 32-bit version
export CC="cc"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static
make %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q libaudiofile/.libs/libaudiofile.a ./libaudiofile.so.0


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)

rm -f docs/Makefile*


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc COPYING TODO README ChangeLog docs
%{_bindir}/sf*
%{_libdir}/*.a
/usr/bin/sf*
/usr/lib/*.a


%files devel
%defattr(-,root,system)
%{_bindir}/audiofile-config
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*
%{_datadir}/aclocal/*
/usr/bin/audiofile-config
/usr/lib/*.la


%changelog
* Thu Oct 01 2009 Michael Perzl <michael@perzl.org> - 0.2.6-2
- fixed an aclocal issue

* Tue Apr 15 2008 Michael Perzl <michael@perzl.org> - 0.2.6-1
- first version for AIX V5.1 and higher
